Bug 971367 - Review Request: python-pyroute2 - Python netlink library
Review Request: python-pyroute2 - Python netlink library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 07:14 EDT by Saveliev Peter
Modified: 2014-03-18 10:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 18:56:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Saveliev Peter 2013-06-06 07:14:46 EDT
Spec URL: http://peet.spb.ru/archives/python-pyroute2.spec
SRPM URL: http://peet.spb.ru/archives/python-pyroute2-0.1.8-1.fc18.src.rpm
Description:

PyRoute2 provides basic netlink interface for Python programs. Aiming
to provide a complete implementation of several netlink families, this
library is still in alpha state, but already provides major subset of
NETLINK_ROUTE family. More details on project pages:

github: https://github.com/svinota/pyroute2
docs: http://peet.spb.ru/pyroute2/


Fedora Account System Username: psavelye
Comment 1 Douglas Schilling Landgraf 2013-06-06 10:13:14 EDT
[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: python-pyroute2-0.1.8-1.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint python-pyroute2
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[OK] MUST: The package must be named according to the Package Naming Guidelines .

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption

[OK] MUST: The package must meet the Packaging Guidelines

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible.

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries.

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 

[OK] MUST: Permissions on files must be set properly.

[OK] MUST: Each package must consistently use macros.

[OK] MUST: The package must contain code, or permissable content.

[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] MUST: All filenames in rpm packages must be valid UTF-8

[OK] MUST: Package contains BR: python2-devel or python3-devel

[OK] MUST: Binary eggs must be removed in %prep

[OK] SHOULD: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK] SHOULD: Sources can be downloaded from URI in Source: tag

[OK] SHOULD: Reviewer should test that the package builds in mock.

[OK] SHOULD: Buildroot is not present

[OK] SHOULD: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK] SHOULD: Dist tag is present.

[OK] SHOULD: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK] SHOULD: SourceX tarball generation or download is documented.

[OK] SHOULD: SourceX is a working URL.

[OK] SHOULD: Spec use %global instead of %define.

Final Status: APPROVED
Comment 2 Saveliev Peter 2013-06-07 06:06:55 EDT
New Package SCM Request
=======================
Package Name: python-pyroute2
Short Description: Python netlink library
Owners: psavelye
Branches: f17 f18 f19 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-06-07 08:57:15 EDT
Git done (by process-git-requests).
Comment 5 Jiri Pirko 2014-03-18 07:01:24 EDT
New Package SCM Request
=======================
Package Name: python-pyroute2
Short Description: Python netlink library
Owners: psavelye
Branches: epel7
InitialCC: jirka
Comment 6 Gwyn Ciesla 2014-03-18 08:10:41 EDT
Already exists, if new branches are needed use a Package Change Request.
Comment 7 Jiri Pirko 2014-03-18 10:08:30 EDT
Package Change Request
======================
Package Name: python-pyroute2
New Branches: epel7
Owners: psavelye jirka
Comment 8 Gwyn Ciesla 2014-03-18 10:17:31 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.